Bug 109254 - can't mount floppy
can't mount floppy
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-06 00:08 EST by haibin zhang
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-18 18:51:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description haibin zhang 2003-11-06 00:08:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; zh-CN; rv:1.4)
Gecko/20030624

Description of problem:
Bad: can't mount floppy


Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2115.nptl

How reproducible:
Always

Steps to Reproduce:
1.install redhat 9.0
2.install kernel-2.4.22-1.2115.nptl
3.rpm -ivh kernel-2.4.22-1.2115.nptl.i686.rpm
4.reboot .you will find system has remove floppy from /etc/fstab to
/etc/fstab.REVOKE,and can't use floppy

    

Actual Results:  can't mount floppy

Expected Results:  can use floppy as old time

Additional info:
Comment 1 Stephen Lewis 2003-11-17 15:48:30 EST
Problem also present in kernel-2.4.22-1.2108.nptl.athlon.rpm using
Asus A7V333-X mobo & RH9 with all latest updates. Floppy works fine
with kernel-2.4.20-20.9; rebooting with 2108 or 2115 floppy not found:


[lewis@dogbert sw]$ sudo !!
sudo mount /dev/fd0 /mnt/floppy/
Password:
mount: /dev/fd0 is not a valid block device
[lewis@dogbert sw]$ dd if=/dev/fd0 of=/dev/null
dd: opening `/dev/fd0': No such device or address

... but the good news is the b44 driver in this kernel works a dream 8-)
Comment 2 Dave Jones 2003-11-20 14:32:32 EST
is the floppy module loaded ?
any floppy related messages in dmesg ?
Comment 3 Stephen Lewis 2003-11-21 10:33:05 EST
The floppy module was not loaded - presumably it's not a module in
2.4.20.20.9.

Loading module, floppy works fine, so problem solved.

Note You need to log in before you can comment on or make changes to this bug.